LIGHTNING-SENDONIONMESSAGE(7)

NAME

lightning-sendonionmessage -- low-level command to send an onion message

SYNOPSIS

(WARNING: experimental-onion-messages only)

sendonionmessage first_id blinding hops

DESCRIPTION

The sendonionmessage RPC command can be used to send a message via the lightning network. These are currently used by offers to request and receive invoices.

hops is an array of json objects: id as a public key of the node, and tlv contains a hexidecimal TLV to include.

RETURN VALUE

On success, an empty object is returned.

AUTHOR

Rusty Russell <rusty@rustcorp.com.au> is mainly responsible.

SEE ALSO

lightning-fetchinvoice(7), lightning-offer(7).

RESOURCES

Main web site: https://github.com/ElementsProject/lightning